classification
Title: Port zipp to zipfile
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jaraco Nosy List: barry, jaraco
Priority: normal Keywords: patch

Created on 2019-05-07 13:47 by jaraco, last changed 2019-05-09 01:00 by jaraco. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13153 merged jaraco, 2019-05-07 14:14
PR 13213 merged jaraco, 2019-05-09 01:00
Messages (2)
msg341727 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2019-05-07 13:47
The [zipp package](https://pypi.org/project/zipp) implements a pathlib-compatable wrapper for zipfiles and is used by the importlib_metadata project. The port of importlib_metadata to importlib.metadata (issue34632) currently embeds that functionality, but this functionality is probably better exposed as part of the zipfile or pathlib modules.

Yesterday, at PyCon sprints, we considered which stdlib module would be better to host this functionality, and a quick analysis revealed that there's no pathlib dependency but there is a zipfile dependency, suggesting that zipfile should be preferred.
msg341873 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2019-05-08 13:45
New changeset b2758ff9553d8bebe4e9dd1cb3996212473810e3 by Barry Warsaw (Jason R. Coombs) in branch 'master':
bpo-36832: add zipfile.Path (#13153)
https://github.com/python/cpython/commit/b2758ff9553d8bebe4e9dd1cb3996212473810e3
History
Date User Action Args
2019-05-09 01:00:39jaracosetpull_requests: + pull_request13124
2019-05-08 13:47:41barrysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-08 13:45:10barrysetmessages: + msg341873
2019-05-07 14:14:39jaracosetkeywords: + patch
stage: patch review
pull_requests: + pull_request13070
2019-05-07 13:47:51jaracosettype: enhancement
components: + Library (Lib)
versions: + Python 3.8
2019-05-07 13:47:37jaracocreate